Manually extract insights from an activity
curl --request POST \
--url https://api.stardex.ai/v1/company-insights/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.stardex.ai/v1/company-insights/trigger"
payload = { "activity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({activity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.stardex.ai/v1/company-insights/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"ai_auto_update_id": "55555555-5555-5555-5555-555555555555",
"added_count": 3
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Company Insights
Manually extract insights from an activity
Runs the AI extraction pipeline on a specific activity (e.g. a secondary note or meeting transcript). Useful for re-running extraction or bypassing the cron.
POST
/
v1
/
company-insights
/
trigger
Manually extract insights from an activity
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Body
application/json
Activity (secondary_note or meeting_transcript) to extract insights from.
Was this page helpful?
⌘I